// lcd2.h

/*********************************************************************
* Software License Agreement:
*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*********************************************************************/
#ifndef __LCD_H
#define __LCD_H
#include "seven_seg.h"
#include "GenericTypeDefs.h"

typedef union
{
    UINT16    val;
    struct
    {
        unsigned    digit0 : 4;
        unsigned    digit1 : 4;
        unsigned    digit2 : 4;
        unsigned    digit3 : 4;
    };
} BCD_TYPE;

typedef union
{
    UINT8    val;
    struct
    {
        unsigned    digit0 : 4;
        unsigned    digit1 : 4;
    };
} BCD_TYPE_2;

void    lcd_init(void);
void    lcd_display_digits(BCD_TYPE);
void    lcd_display_digits_2(BCD_TYPE_2);
void    lcd_display_LS_digits(BCD_TYPE, INT8);
void    lcd_display_on(void);
void    lcd_display_off(void);
void    lcd_display_character(UINT8, UINT8);

// Glass pin 1
    #define A1      SEG0COM0
    #define F1      SEG0COM1
    #define E1      SEG0COM2
    #define D1      SEG0COM3

// Glass pin 2
    #define B1      SEG1COM0
    #define G1      SEG1COM1
    #define C1      SEG1COM2
    #define P1      SEG1COM3

// Glass pin 3
    #define A2      SEG3COM0
    #define F2      SEG3COM1
    #define E2      SEG3COM2
    #define D2      SEG3COM3

// Glass pin 4
    #define B2      SEG7COM0
    #define G2      SEG7COM1
    #define C2      SEG7COM2
    #define P2      SEG7COM3

// Glass pin 5
    #define A3      SEG30COM0
    #define F3      SEG30COM1
    #define E3      SEG30COM2
    #define D3      SEG30COM3

// Glass pin 6
    #define B3      SEG8COM0
    #define G3      SEG8COM1
    #define C3      SEG8COM2
    #define P3      SEG8COM3

// Glass pin 7
    #define A4      SEG9COM0
    #define F4      SEG9COM1
    #define E4      SEG9COM2
    #define D4      SEG9COM3

// Glass pin 8
    #define B4      SEG10COM0
    #define G4      SEG10COM1
    #define C4      SEG10COM2
    #define P4      SEG10COM3

// Glass pin 9
    #define F_1     SEG11COM0
    #define F_3     SEG11COM1
    #define F_4     SEG11COM2
    #define P6      SEG11COM3

// Glass pin 10
    #define F_2     SEG29COM0
    #define C6      SEG29COM1
    #define G6      SEG29COM2
    #define B6      SEG29COM3

// Glass pin 11
    #define D6      SEG34COM0
    #define E6      SEG34COM1
    #define F6      SEG34COM2
    #define A6      SEG34COM3

// Glass pin 12
    #define P5      SEG18COM0
    #define C5      SEG18COM1
    #define G5      SEG18COM2
    #define B5      SEG18COM3

// Glass pin 13
    #define D5      SEG33COM0
    #define E5      SEG33COM1
    #define F5      SEG33COM2
    #define A5      SEG33COM3

// Glass pin 14
    #define S8      SEG19COM0
    #define S7      SEG19COM1
    #define S6      SEG19COM2
    #define S5      SEG19COM3

// Glass pin 15
    #define S1      SEG43COM0
    #define S2      SEG43COM1
    #define S3      SEG43COM2
    #define S4      SEG43COM3

// Glass pin 16
    #define T1      SEG44COM0
    #define T3      SEG44COM1
    #define T2      SEG44COM2
    #define T4      SEG44COM3

#define DP1     P3
#define DP2     P2
#define DP3     P1
#define DP4     P4
#define LOGO    P6
#define BATT    T1
#define BATT1_3 T2
#define BATT2_3 T3
#define BATT3_3 T4

#endif // __LCD_H
