/////////////////////////////////////////////////////////////////////////////
//
// File: Monitor.h
//
// C based monitor program.
//
/////////////////////////////////////////////////////////////////////////////

union SPLIT_BYTE
{
	unsigned char val;
	struct
	{
		unsigned char ls : 4;
		unsigned char ms : 4;
	} nybbles;
	struct
	{
		unsigned char b0 : 1;
		unsigned char b1 : 1;
		unsigned char b2 : 1;
		unsigned char b3 : 1;
		unsigned char b4 : 1;
		unsigned char b5 : 1;
		unsigned char b6 : 1;
		unsigned char b7 : 1;
	} bits;
};

struct NYBBLE
{
	unsigned char val : 4;
};
		
void NewLine(void);
void AppInit(void);
void ServiceCommunicator(void);
void CmdService(void);
void RcvService(void);
void TxmtService(void);
void SendString(void);
void SendPrompt(void);
void StartString(far char *sp);
void DecodeFirstChar(void);
union SPLIT_BYTE AsciiToHex(unsigned char a);
void DecodeFSRHm(void);
void DecodeFSRH(void);
void DecodeMSNyb(void);
void DecodeLSNyb(void);
void SendAddrData(void);
void SetAddrData(void);
unsigned char HexToAscii(struct NYBBLE a);
void MonitorInit(void);
void FillTxBuffer(far char *sp);