/************************************************************************
*                                                                       *
*     Project              : F1 LV Evaluation Demo                      *
*                                                                       *
*     Author               : w.r.brown                                  *
*                                                                       *
*     Company              : Microchip Technology Incorporated          *
*     Filename             : PAN14_Motor.h                              *
*     Date                 : 2010/05/26                                 *
*                                                                       *
*     Other Files Required :                                            *
*     Tools Used: MPLAB GL :                                            *
*                 Compiler : Hi-Tech                                    *
*                 Assembler:                                            *
*                 Linker   :                                            *
*                                                                       *
*************************************************************************
*
///////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                       //
// Physical and operating parameters for the NMB PAN14 motor supplied with the BDC add-on board.         //
//                                                                                                       //
///////////////////////////////////////////////////////////////////////////////////////////////////////////
*
*
*******************************************************************************************************
* Software License Agreement:
*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*******************************************************************************************************
*
*
*******************************************************************************************************
*
* Change History:
* Author               Date        Comment
* w.r.brown            2011.08.10  V 1.0  - Original
*
*******************************************************************************************************/
#ifndef _PAN14_MOTOR
#define _PAN14_MOTOR

//////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////// Low speed On-Off limits ///////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////

// maximum number that will come from ADC speed request
#define MAX_SPEED_REQUEST        255

////////////////////////////////////////////////////////////////////////////////////////
//// On-Off limits

// percentage of speed request below which the motor will turn off
#define LOW_OFF_REQUEST_PCT      3

// percentage of speed request above which the motor will turn on
#define LOW_RESTORE_REQUEST_PCT  6

#define REQUEST_OFF             ((MAX_SPEED_REQUEST*LOW_OFF_REQUEST_PCT)/100)
#define REQUEST_ON              ((MAX_SPEED_REQUEST*LOW_RESTORE_REQUEST_PCT)/100)

#endif