/************************************************************************
*                                                                       *
*     Project              : F1 LV Evaluation Demo                      *
*                                                                       *
*     Author               : w.r.brown                                  *
*                                                                       *
*     Company              : Microchip Technology Incorporated          *
*     Filename             : EBM_Motor.c                                *
*     Date                 : 2010/07/28                                 *
*     SharePoint Version   : 1.0                                        *
*                                                                       *
*     Other Files Required :                                            *
*     Tools Used: MPLAB GL : 8.14                                       *
*                 Compiler : Hi-Tech                                    *
*                 Assembler:                                            *
*                 Linker   :                                            *
*                                                                       *
*************************************************************************
*
////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                    //
// Convert parameters defined in EBM_Motor.h header file to global constants.                          //
//                                                                                                    //
////////////////////////////////////////////////////////////////////////////////////////////////////////
*
*
*******************************************************************************************************
* Software License Agreement:
*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*******************************************************************************************************
*
*
*******************************************************************************************************
*
* Change History:
* Author               Date        Comment
* w.r.brown            2010.07.21  V 1  - Converted variables in header file to constants so this
*                                         file can be included by adding to the source file list.
*******************************************************************************************************/

#include "Main.h"
#include "EBM_Motor.h"

const unsigned char NumberOfPoles               = NUM_POLES;
const unsigned char NumberOfPhases              = NUM_PHASES;
const unsigned int  Timer1Init                  = TMR1_INIT;
const unsigned int  LowStartupDutyCycle         = LOW_STARTUP_DUTYCYCLE;
const unsigned int  MediumStartupDutyCycle      = MED_STARTUP_DUTYCYCLE;
const unsigned int  HighStartupDutyCycle        = HI_STARTUP_DUTYCYCLE;
const unsigned char TimebaseDutyCount           = TIMEBASE_DUTY_RAMP;
const unsigned char TimebaseSlowStep            = TIMEBASE_SLOW_STEP;
const unsigned char SlowSteps                   = SLOW_STEPS;
const unsigned char TimebaseOpenLoop            = TIMEBASE_OPEN_LOOP;
const unsigned char RampIncr                    = RAMP_INCR;
const unsigned char BlankingCount               = BLANKING_COUNT;
const unsigned int  MaxTimer1Preset             = MAX_TMR1_PRESET;
const unsigned char ErrorScale                  = ERROR_SCALE;
const char          TimingAdvanceDegrees        = ADVANCE_DEGREES_COUNT;
const unsigned char SpeedRequestOff             = REQUEST_OFF;
const unsigned char SpeedRequestOn              = REQUEST_ON;
const unsigned char UpwardHighResolutionEntry   = UPWARD_HIGH_RES_ENTRY;
const unsigned char UpwardHighResolutionExit    = UPWARD_HIGH_RES_EXIT;
const unsigned char DownwardHighResolutionEntry = DOWNWARD_HIGH_RES_ENTRY;
const unsigned char DownwardHighResolutionExit  = DOWNWARD_HIGH_RES_EXIT;
const unsigned char SpeedControlAverageFactor   = ADC_AVG_FACTOR;
const char          TimingBalanceDegrees        = FIXED_ADVANCE_DEGREES_COUNT;
const unsigned char DefaultBrakeLevel           = BRAKE_LEVEL;
   