/////////////////////////////////////////////////////////////////////////////
//
// File: EEData.h
//
// Prototypes for non-volatile data storage and retrieval
//
/////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////// EEPROM Addresses /////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////

#define nvPoles                          0x00
#define nvLowStartupDC                   0x01
#define nvStartupDC                      0x02
#define nvHiStartupDC                    0x03 
#define nvStartupCommTimeHigh            0x04 
#define nvStartupCommTimeLow             0x05
#define nvMaxTimer1PresetHigh            0x06
#define nvMaxTimer1PresetLow             0x07
#define nvSpare1                         0x08
#define nvCommOffset                     0x09
#define nvBlankingCount                  0x0A
#define nvSlowStartDwell                 0x0B
#define nvSlowStartSteps                 0x0C
#define nvOpenLoopDwell                  0x0D
#define nvTimebaseDutyCount              0x0E
#define nvErrorScale                     0x0F
#define nvSpeedRequestOff                0x10
#define nvSpeedRequestOn                 0x11
#define nvUpwardHighResolutionEntry      0x12
#define nvUpwardHighResolutionExit       0x13
#define nvDownwardHighResolutionEntry    0x14
#define nvDownwardHighResolutionExit     0x15
#define nvSpeedControlAverageFactor      0x16
#define nvSpare2                         0x17
#define nvTimingBalance                  0x18
#define nvBrakeLevel                     0x19
// these double as defaults for Unipolar and Bipolar
#define nvMinDuty                        0x1A
#define nvDutyScale                      0x1B
#define nvMicroStepSize                  0x1C
// the following two storage spaces are each 4 bytes long
#define nvSpeedConstTimer                0x20
#define nvSpeedScalingConst              0x24

// 2 byte parameter checksum
#define nvParametersChecksum             0xFB
// 2 byte microstep table checksum
#define nvTableChecksum                  0xFD
#define nvSPBRG                          0xFF

//////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////// UNIO Extensions /////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////


// 256 byte CCP lookup table
#define nvCCP_Val                        0x0100

// 4 byte Board ID and revision
#define nvBoardIDBlock                   0x7FFC
#define nvBoardRevision                  0x7FFD
#define nvBoardID                        0x7FFF

//////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////// Prototypes ///////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////

void set_defaults(void);
void NV_Variables_Read(void);
void NV_Variables_Save(void);
void NV_SPBRG_Read(void);
void NV_SPBRG_Save(void);
